STRANAXFRM(3pub)

NAME
stranaxfrm - make a string into canonical form for anagram comparison

SYNOPSIS
#include <publib.h>
char *stranaxfrm(char *str);

DESCRIPTION
stranaxfrm transforms a string into a canonical form for anagram comparisons. To check whether two strings are anagrams of each other (i.e., they contain the same characters, but in different order), compare their canonical forms. The canonical form merely has all the characters in the string sorted into ascending order.

To write a program to find anagrams, first convert a word list into canonical order, then look up words in that version of the word list by transforming them also to canonical order.

RETURN VALUE
stranaxfrm returns its argument.

BUGS
This function is of a whimsical nature.

SEE ALSO
publib(3), strcmp(3), strcasecmp(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)